Subject: Re: git-log man2html conversion broken: http://git-scm.com/docs/git-log

From: Jeff King <[email-masked]>
Date: Wed, 8 Oct 2014 22:29:56 -0400

On Wed, Oct 08, 2014 at 12:49:54PM -0500, Derek Moore wrote:

> The HTML for the git-log man page is being misrendered on the official site.
> 
> See the placehoders list under "format:<string>" in the PRETTY FORMATS section.

Thanks for the report. This renders fine locally with asciidoc, but the
git-scm.com site uses the ruby asciidoctor gem. I think the issue is
that the start and end markers for the code block are not identical:

-------
The author of fe6e0ee was Junio C Hamano, 23 hours ago
The title was >>t4119: test autocomputing -p<n> for traditional diff
input.<<

--------

Note that we start with 7 hyphens, but end with 8.

The git-scm issue was already reported here (the site's issues are
tracked separately from the mailing list):

  https://github.com/git/git-scm.com/issues/447

but I doubt if asciidoctor folks have been notified. I'll call their
attention to that issue; they should produce the same output as regular
asciidoc for this case.

In the meantime, I don't know if it is worth us applying this workaround
to the documentation (I'd feel better if I had actually confirmed that
it fixed the problem):

-- >8 --
Subject: docs: use identical start/end lines for code blocks

Some AsciiDoc implementations (like the AsciiDoctor gem) do not
recognize the end of a code block if it does not match the start
line exactly. Those implementations are wrong, but we can work around it
and make our sources look nicer at the same time.

---
diff --git a/Documentation/pretty-formats.txt b/Documentation/pretty-formats.txt
index eecc39d..d3e3d25 100644
--- a/Documentation/pretty-formats.txt
+++ b/Documentation/pretty-formats.txt
@@ -91,7 +91,7 @@ instead of '\n'.
 E.g, 'format:"The author of %h was %an, %ar%nThe title was >>%s<<%n"'
 would show something like this:
 +
--------
+--------
 The author of fe6e0ee was Junio C Hamano, 23 hours ago
 The title was >>t4119: test autocomputing -p<n> for traditional diff input.<<